require "project_setup/version"

module ProjectSetup
  class Runner
    def setup
      args = ARGV
      
      ruby_gemset = current_directory = File.basename(Dir.getwd)
      ruby_version = "ruby-#{args.first || RUBY_VERSION}"

      puts '=' * 50

      if File.exists?('.ruby-version')
        puts '.ruby-version exists'
      else
        version_file = File.new('.ruby-version', 'w')
        version_file.write(ruby_version)
        version_file.close
        puts "= .ruby-version created with #{ruby_version}"
      end

      if File.exists?('.ruby-gemset')
        puts '.ruby-gemset exists'
      else
        gemset_file = File.new('.ruby-gemset', 'w')
        gemset_file.write(ruby_gemset)
        gemset_file.close
        puts "= .ruby-gemset created with #{ruby_gemset}"
      end

      puts '=' * 50
      puts "= run cd ../ then cd #{current_directory} to create gem wrapper" 
    end
  end
end
